\documentclass[a4paper,10pt]{article}

\usepackage[utf8]{inputenc}
%\usepackage{frenchle}

\usepackage{emploidutemps}

\author{Vincent-Xavier \textsc{Jumel}}
\title{Mathématiques}
\date{2012-2013}

\ifnum\pdfoutput>0 \pdfinfo
{
  /Title (Emploi du temps) 
  /Author (Vincent-Xavier Jumel) 
  /Subject (Passionnant) 
  /Keywords (mots, clefs)
}
\fi

%\def\tkzDrawhours

%\tikzstyle{pausematin}

% Color style to apply to divisions
\tikzstyle{4C}=[fill=Green!40]
\tikzstyle{4D}=[fill=Red!40]
\tikzstyle{4H}=[fill=Blue!40]
\tikzstyle{4F}=[fill=Maroon!20]
\tikzstyle{1TSM}=[fill=Yellow!30]
\tikzstyle{2TSM}=[fill=Yellow!70]

\pagestyle{empty}
\begin{document}
\landscape
\maketitle
\begin{center}
\begin{tikzpicture}[x=\daywidth, y=-\hourheight, node distance=0 cm,outer sep = 0pt]

  \draw[color=lightgray,xstep=\daywidth,ystep=\hourheight] (1,18) grid (6.05,8.25) ;

  \draw node at (6.2,9) {9:00} ;
  \draw node at (6.2,10) {10:00} ;
  \draw node at (6.2,11) {11:00} ;
  \draw node at (6.2,12) {12:00} ;
  \draw node at (6.2,13) {13:00} ;
  \draw node at (6.2,14) {14:00} ;
  \draw node at (6.2,15) {15:00} ;
  \draw node at (6.2,16) {16:00} ;
  \draw node at (6.2,17) {17:00} ;
  \draw node at (6.2,18) {18:00} ;

  \tkzDrawdays{8:15}

  \tkzDrawhours{8:15}{hour}
  \tkzDrawhours{9:10}{hour}
  \tkzDrawhours{10:05}{hour,minimum height=\hourdur{0:20},text height=0.5ex}
  \tkzDrawhours{10:25}{hour}
  \tkzDrawhours{11:20}{hour}
  \tkzDrawhours{12:15}{hour,minimum height=\hourdur{0:15}}
  \tkzDrawhours{12:30}{hour}
  \tkzDrawhours{13:30}{hour}
  \tkzDrawhours{14:25}{hour}
  \tkzDrawhours{15:20}{hour,minimum height=\hourdur{0:20}}
  \tkzDrawhours{15:40}{hour}
  \tkzDrawhours{16:35}{hour}
  \tkzDrawhours{17:30}{hour}

\node[pausematin] at (1,\hourpos{10:05}) { } ;
\node[pausematin] at (2,\hourpos{10:05}) { } ;
\node[pausematin] at (3,\hourpos{10:05}) { } ;
\node[pausematin] at (4,\hourpos{10:05}) { } ;
\node[pausematin] at (5,\hourpos{10:05}) { } ;

\node[pausemidi] at (1,\hourpos{12:15}) { } ;
\node[pausemidi] at (2,\hourpos{12:15}) { } ;
\node[pausemidi] at (3,\hourpos{12:15}) { } ;
\node[pausemidi] at (4,\hourpos{12:15}) { } ;
\node[pausemidi] at (5,\hourpos{12:15}) { } ;

\node[pauseapresmidi] at (1,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (2,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (3,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (4,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (5,\hourpos{15:20}) { } ;

\draw [darkgray] (0.95,\hourpos{8:15}) -- (6,\hourpos{8:15}) ;
\draw [darkgray] (0.95,\hourpos{9:10}) -- (6,\hourpos{9:10}) ;
\draw [darkgray] (0.95,\hourpos{10:05}) -- (6,\hourpos{10:05}) ;
\draw [darkgray] (0.95,\hourpos{10:25}) -- (6,\hourpos{10:25}) ;
\draw [darkgray] (0.95,\hourpos{11:20}) -- (6,\hourpos{11:20}) ;
\draw [darkgray] (0.95,\hourpos{12:15}) -- (6,\hourpos{12:15}) ;
\draw [darkgray] (0.95,\hourpos{12:30}) -- (6,\hourpos{12:30}) ;
\draw [darkgray] (0.95,\hourpos{13:30}) -- (6,\hourpos{13:30}) ;
\draw [darkgray] (0.95,\hourpos{14:25}) -- (6,\hourpos{14:25}) ;
\draw [darkgray] (0.95,\hourpos{15:20}) -- (6,\hourpos{15:20}) ;
\draw [darkgray] (0.95,\hourpos{15:40}) -- (6,\hourpos{15:40}) ;
\draw [darkgray] (0.95,\hourpos{16:35}) -- (6,\hourpos{16:35}) ;
\draw [darkgray] (0.95,\hourpos{17:30}) -- (6,\hourpos{17:30}) ;

\node[1hour,odd,4D] at (1,\hourpos{10:25}) {{\footnotesize\textbf{Mathématiques}}\\4D\\\textit{116}} ;
\node[1hour,odd,4D] at (1,\hourpos{11:20}) {{\footnotesize\textbf{Vie de
  classe}}\\4D\\\textit{116}} ;
\node[1hour,4H] at (1,\hourpos{14:25}) {\textbf{Mathématiques}\\4H} ;
\node[1hour,4C] at (1,\hourpos{15:40}) {\textbf{Mathématiques}\\4C} ;

\node[1hour,4H] at (2,\hourpos{9:10}) {\textbf{Mathématiques}\\4H} ;
\node[1hour,4C] at (2,\hourpos{10:25}) {\textbf{Mathématiques}\\4C} ;
\node[1hour,4D] at (2,\hourpos{11:20}) {\textbf{Mathématiques}\\4D} ;
\node[1hour,2TSM] at (2,\hourpos{14:25}) {\textbf{Mathématiques}\\2TSM} ;

\node[1hour,4C] at (3,\hourpos{08:15}) {\textbf{Mathématiques}\\4D} ;
\node[1hour,even,4H] at (3,\hourpos{9:10}) {{\footnotesize\textbf{Mathématiques}}\\4H} ;
\node[1hour,odd,4F] at (3,\hourpos{10:25}) {{\footnotesize\textbf{H.C.R.}}\\4F} ;
\node[1hour,4D] at (3,\hourpos{11:20}) {\textbf{Mathématiques}\\4C} ;
\node[1hour,1TSM] at (3,\hourpos{13:30}) {\textbf{Mathématiques}\\1TSM} ;

\node[1hour,4H] at (4,\hourpos{8:15}) {\textbf{Mathématiques}\\4H} ;
\node[1hour,2TSM] at (4,\hourpos{9:10}) {\textbf{Mathématiques}\\2TSM} ;
\node[1hour,2TSM] at (4,\hourpos{10:25}) {\textbf{Mathématiques}\\2TSM} ;
\node[2hours,1TSM] at (4,\hourpos{13:30}) {\textbf{Mathématiques}\\1TSM} ;
\node[1hour,4D] at (4,\hourpos{15:40}) {\textbf{Mathématiques}\\4D} ;
\node[1hour,odd,4C] at (4,\hourpos{16:35}) {{\footnotesize\textbf{Mathématiques}}\\4C} ;

\end{tikzpicture}
\end{center}
\end{document}
